from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class ActivePerl(Package):
  def full_name (self):
    return "perl-5.10.0.1004-287188"

  def download (self):
    download_and_check ("http://downloads.activestate.com/ActivePerl/Windows/5.10/ActivePerl-5.10.0.1004-MSWin32-x86-287188.zip", "89d452c4ffd8fc3ae6c26390eaccc05f")

  def extract (self):
    self.clear_and_unpack ("ActivePerl-5.10.0.1004-MSWin32-x86-287188.zip", 
                           "ActivePerl-5.10.0.1004-MSWin32-x86-287188")

  def patch (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    utils.makeDirs (img_path)
    src = self.config.SRC_DIR.join (Path ("ActivePerl-5.10.0.1004-MSWin32-x86-287188/perl"))
    for i in [ "bin", "eg", "etc", "html", "lib", "man", "site" ]:
      make ([ "cp", "-rav", src.join (Path (i)).unix(), img_path.unix()],
            "ActivePerl-5.10.0.1004-MSWin32-x86-287188")
    self.tar_dist_image (img_path)

  def install (self):
    self.install_with_dist_image()    

def packages():
  return [ ActivePerl() ]
