from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibOGG (Package):
  def full_name (self):
    return "libogg-1.1.3"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/ogg/libogg-1.1.3.tar.gz", "eaf7dc6ebbff30975de7527a80831585")

  def extract (self):
    self.clear_and_unpack ("libogg-1.1.3.tar.gz", "libogg-1.1.3") 

  def patch (self):
    pass

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + "./configure --prefix=" + self.config.PREFIX.msys() ], "libogg-1.1.3")
    make ([ "make" ], "libogg-1.1.3")

  def dist_image (self):
    self.dist_image_with_make_install ("libogg-1.1.3")
           
  def install (self):
    self.install_with_dist_image()


def packages():
  return [ LibOGG() ]
