from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibXslt (Package):
  def full_name (self):
    return "libxslt-1.1.24"

  def download (self):
    download_and_check ("ftp://xmlsoft.org/libxslt/libxslt-1.1.24.tar.gz",
                        "e83ec5d27fc4c10c6f612879bea9a153")

  def extract (self):
    self.clear_and_unpack ("libxslt-1.1.24.tar.gz", "libxslt-1.1.24")

  def patch (self):
    pass

  def compile (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure " +
                 "--prefix=" + self.config.PREFIX.msys() ], "libxslt-1.1.24")
    make ([ "make" ], "libxslt-1.1.24")

  def dist_image (self):
    self.dist_image_with_make_install ("libxslt-1.1.24")

  def install (self):
    self.install_with_dist_image()

def packages():
  return [ LibXslt() ]
